*** LOGIT REGRESSIONS ***


clear
clear matrix
clear mata
capture log close
set more on
set mem 300m
set matsize 800


log using segment_class,replace

use SEGmodel2EST.dta, replace

*0. VARIABLE DEFINITION

*** Define the panel dimension of the dataset (model and yema)

xtset model yema

local characteristics "hp eurokm wi he"

***************************************************************

*SUMSTATS

table Fclass, c(mean taxprinc sd taxprinc mean hp sd hp )
table Fclass, c(mean li sd li mean size sd size )


label var taxprinc "Price/Income"
graph box taxprinc, over(Fclass)

gen power = hp *100
label var power "Power (kW)"
graph box power, over(Fclass)

gen li10 = li*10
label var li10 "Fuel consumption (li/100km)"
graph box li10, over(Fclass)

gen carsize = size*10
label var carsize "Size m^2"
graph box carsize, over(Fclass)

// the above exercise with neighboring segments does not really work

mean taxprinc, over(Fclass)
mean hp, 	 over(Fclass)
mean eurokm, over(Fclass)
mean wi, 	 over(Fclass)
mean he, 	 over(Fclass)



forvalues x=1/5 {
	
		forvalues y=1/5 {
			qui gen Fclass`x'`y'=.
			qui replace Fclass`x'`y'=0 if Fclass==`x'
			qui replace Fclass`x'`y'=1 if Fclass==`y'
        }
		}

logit Fclass12 hp eurokm wi he
estat classification

logit Fclass13 hp eurokm wi he
estat classification

logit Fclass14 hp eurokm wi he
estat classification

logit Fclass15 hp eurokm wi he
estat classification

logit Fclass23 hp eurokm wi he
estat classification

logit Fclass24 hp eurokm wi he
estat classification

logit Fclass25 hp eurokm wi he
estat classification

logit Fclass34 hp eurokm wi he
estat classification

logit Fclass35 hp eurokm wi he
estat classification

logit Fclass45 hp eurokm wi he
estat classification